"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libtool' }"

"{ NameSpace: Tools }"

Object subclass:#Toolbox
	instanceVariableNames:'browser environment'
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Tools'
!

!Toolbox class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!Toolbox class methodsFor:'instance creation'!

new
    "return an initialized instance"

    ^ self basicNew initialize.
! !

!Toolbox methodsFor:'accessing'!

browser
    ^ browser
!

browser:aNewSystemBrowser
    browser := aNewSystemBrowser.
!

environment
    ^ environment
!

environment:env
    environment := env.
! !

!Toolbox methodsFor:'initialization'!

initialize
    "Invoked when a new instance is created."

    "/ please change as required (and remove this comment)
    "/ browser := nil.
    environment := Smalltalk

    "/ super initialize.   -- commented since inherited method does nothing

    "Modified: / 05-09-2013 / 12:46:08 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!Toolbox methodsFor:'menus'!

messagesMenuFor:arg1 withMethods:arg2 withMethodSelectors:arg3 withSentSelectors:arg4 withSelfSelectorsOnly:arg5
    "raise an error: must be redefined in concrete subclass(es)"

    ^ Menu new
            addItem: ((MenuItem label: 'Not supporte') enabled: false);
            yourself.

    "Modified: / 02-09-2013 / 09:40:10 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!Toolbox methodsFor:'private'!

ensureBrowser
    browser isNil ifTrue:[
        browser := NewSystemBrowser new.
        browser open.
    ].
    ^ browser

    "Created: / 31-08-2013 / 22:46:22 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!Toolbox class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libtool/Tools__Toolbox.st,v 1.1 2013-09-05 21:33:32 vrany Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libtool/Tools__Toolbox.st,v 1.1 2013-09-05 21:33:32 vrany Exp $'
! !

